﻿// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;

[GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
public static partial class MVC
{
    public static Manager.Controllers.AdminController Admin = new Manager.Controllers.T4MVC_AdminController();
    public static Manager.Controllers.ArticlesController Articles = new Manager.Controllers.T4MVC_ArticlesController();
    public static Manager.Controllers.BooksController Books = new Manager.Controllers.T4MVC_BooksController();
    public static Manager.Controllers.CheersController Cheers = new Manager.Controllers.T4MVC_CheersController();
    public static Manager.Controllers.DegreesController Degrees = new Manager.Controllers.T4MVC_DegreesController();
    public static Manager.Controllers.E_StatusController E_Status = new Manager.Controllers.T4MVC_E_StatusController();
    public static Manager.Controllers.Edu_RecController Edu_Rec = new Manager.Controllers.T4MVC_Edu_RecController();
    public static Manager.Controllers.HomeController Home = new Manager.Controllers.T4MVC_HomeController();
    public static Manager.Controllers.InServ_TrainController InServ_Train = new Manager.Controllers.T4MVC_InServ_TrainController();
    public static Manager.Controllers.Job_GovController Job_Gov = new Manager.Controllers.T4MVC_Job_GovController();
    public static Manager.Controllers.Job_NoGovController Job_NoGov = new Manager.Controllers.T4MVC_Job_NoGovController();
    public static Manager.Controllers.Job_PlanController Job_Plan = new Manager.Controllers.T4MVC_Job_PlanController();
    public static Manager.Controllers.Job_TrainController Job_Train = new Manager.Controllers.T4MVC_Job_TrainController();
    public static Manager.Controllers.Member_MootController Member_Moot = new Manager.Controllers.T4MVC_Member_MootController();
    public static Manager.Controllers.Other_SkillController Other_Skill = new Manager.Controllers.T4MVC_Other_SkillController();
    public static Manager.Controllers.P_InfoController P_Info = new Manager.Controllers.T4MVC_P_InfoController();
    public static Manager.Controllers.Pub_TrainController Pub_Train = new Manager.Controllers.T4MVC_Pub_TrainController();
    public static Manager.Controllers.Res_HistoryController Res_History = new Manager.Controllers.T4MVC_Res_HistoryController();
    public static Manager.Controllers.TakmilisController Takmilis = new Manager.Controllers.T4MVC_TakmilisController();
    public static T4MVC.SharedController Shared = new T4MVC.SharedController();
}

namespace T4MVC
{
}

#pragma warning disable 0436
namespace T4MVC
{
    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public class Dummy
    {
        private Dummy() { }
        public static Dummy Instance = new Dummy();
    }
}
#pragma warning restore 0436

[GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
internal partial class T4MVC_System_Web_Mvc_ActionResult : System.Web.Mvc.ActionResult, IT4MVCActionResult
{
    public T4MVC_System_Web_Mvc_ActionResult(string area, string controller, string action, string protocol = null): base()
    {
        this.InitMVCT4Result(area, controller, action, protocol);
    }
     
    public override void ExecuteResult(System.Web.Mvc.ControllerContext context) { }
    
    public string Controller { get; set; }
    public string Action { get; set; }
    public string Protocol { get; set; }
    public RouteValueDictionary RouteValueDictionary { get; set; }
}



namespace Links
{
    
    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public static partial class Bundles
    {
    }
}

[GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
internal static class T4MVCHelpers {
    // You can change the ProcessVirtualPath method to modify the path that gets returned to the client.
    // e.g. you can prepend a domain, or append a query string:
    //      return "http://localhost" + path + "?foo=bar";
    private static string ProcessVirtualPathDefault(string virtualPath) {
        // The path that comes in starts with ~/ and must first be made absolute
        string path = VirtualPathUtility.ToAbsolute(virtualPath);
        
        // Add your own modifications here before returning the path
        return path;
    }

    // Calling ProcessVirtualPath through delegate to allow it to be replaced for unit testing
    public static Func<string, string> ProcessVirtualPath = ProcessVirtualPathDefault;

    // Calling T4Extension.TimestampString through delegate to allow it to be replaced for unit testing and other purposes
    public static Func<string, string> TimestampString = System.Web.Mvc.T4Extensions.TimestampString;

    // Logic to determine if the app is running in production or dev environment
    public static bool IsProduction() { 
        return (HttpContext.Current != null && !HttpContext.Current.IsDebuggingEnabled); 
    }
}





#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114


